Create Agent From Template
curl --request POST \
--url https://api.example.com/api/v1/agents/from-template \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"template_id": "<string>",
"variables": {},
"language": "en",
"agent_name": "<string>",
"generate_with_ai": true
}
'import requests
url = "https://api.example.com/api/v1/agents/from-template"
payload = {
"template_id": "<string>",
"variables": {},
"language": "en",
"agent_name": "<string>",
"generate_with_ai": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
template_id: '<string>',
variables: {},
language: 'en',
agent_name: '<string>',
generate_with_ai: true
})
};
fetch('https://api.example.com/api/v1/agents/from-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/agents/from-template",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'template_id' => '<string>',
'variables' => [
],
'language' => 'en',
'agent_name' => '<string>',
'generate_with_ai' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/agents/from-template"
payload := strings.NewReader("{\n \"template_id\": \"<string>\",\n \"variables\": {},\n \"language\": \"en\",\n \"agent_name\": \"<string>\",\n \"generate_with_ai\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/agents/from-template")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"template_id\": \"<string>\",\n \"variables\": {},\n \"language\": \"en\",\n \"agent_name\": \"<string>\",\n \"generate_with_ai\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/agents/from-template")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"template_id\": \"<string>\",\n \"variables\": {},\n \"language\": \"en\",\n \"agent_name\": \"<string>\",\n \"generate_with_ai\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"public_id": "<string>",
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"workflow_definition": {},
"current_definition_id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"template_context_variables": {},
"call_disposition_codes": {},
"total_runs": 123,
"workflow_configurations": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agents & Calls
Create Agent From Template
Create a new agent from an industry template (GET /agent-templates), filled in with your onboarding answers.
POST
/
api
/
v1
/
agents
/
from-template
Create Agent From Template
curl --request POST \
--url https://api.example.com/api/v1/agents/from-template \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"template_id": "<string>",
"variables": {},
"language": "en",
"agent_name": "<string>",
"generate_with_ai": true
}
'import requests
url = "https://api.example.com/api/v1/agents/from-template"
payload = {
"template_id": "<string>",
"variables": {},
"language": "en",
"agent_name": "<string>",
"generate_with_ai": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
template_id: '<string>',
variables: {},
language: 'en',
agent_name: '<string>',
generate_with_ai: true
})
};
fetch('https://api.example.com/api/v1/agents/from-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/agents/from-template",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'template_id' => '<string>',
'variables' => [
],
'language' => 'en',
'agent_name' => '<string>',
'generate_with_ai' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/agents/from-template"
payload := strings.NewReader("{\n \"template_id\": \"<string>\",\n \"variables\": {},\n \"language\": \"en\",\n \"agent_name\": \"<string>\",\n \"generate_with_ai\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/agents/from-template")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"template_id\": \"<string>\",\n \"variables\": {},\n \"language\": \"en\",\n \"agent_name\": \"<string>\",\n \"generate_with_ai\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/agents/from-template")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"template_id\": \"<string>\",\n \"variables\": {},\n \"language\": \"en\",\n \"agent_name\": \"<string>\",\n \"generate_with_ai\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"public_id": "<string>",
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"workflow_definition": {},
"current_definition_id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"template_context_variables": {},
"call_disposition_codes": {},
"total_runs": 123,
"workflow_configurations": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Your organization's API key (account in the bottom-left of the dashboard → Brosbots API).
Body
application/json
Response
Successful Response